Package com.google.android.exoplayer2.drm

## Class ExoMediaDrm.AppManagedProvider

- java.lang.Object
- - com.google.android.exoplayer2.drm.ExoMediaDrm.AppManagedProvider

- All Implemented Interfaces:
    `ExoMediaDrm.Provider`
  Enclosing interface:
    ExoMediaDrm

      public static final class ExoMediaDrm.AppManagedProvider
      extends Object
      implements ExoMediaDrm.Provider

  Provides an `ExoMediaDrm` instance owned by the app.

  Note that when using this provider the app will have instantiated the `ExoMediaDrm` instance, and remains responsible for calling `ExoMediaDrm.release()` on the instance when it's no longer being used.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AppManagedProvider​(ExoMediaDrm exoMediaDrm)` | Creates an instance that provides the given `ExoMediaDrm`.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ExoMediaDrm` | `acquireExoMediaDrm​(UUID uuid)` | Returns an `ExoMediaDrm` instance with an incremented reference count.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AppManagedProvider

          public AppManagedProvider​(ExoMediaDrm exoMediaDrm)

      Creates an instance that provides the given `ExoMediaDrm`.

  - ### Method Detail

    - #### acquireExoMediaDrm

          public ExoMediaDrm acquireExoMediaDrm​(UUID uuid)

      Description copied from interface: `ExoMediaDrm.Provider`
      Returns an `ExoMediaDrm` instance with an incremented reference count. When the caller no longer needs the instance, it must call `ExoMediaDrm.release()` to decrement the reference count.
      Specified by:
        `acquireExoMediaDrm` in interface `ExoMediaDrm.Provider`